Bug 501392 - system.schedulePackageRefresh docs say it returns 1 on success where it actually returns actionID
system.schedulePackageRefresh docs say it returns 1 on success where it actua...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-05-18 17:30 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-05-18 17:30:21 EDT
Description of problem:
system.schedulePackageRefresh docs:

...

Returns:

    * int - 1 on success, exception thrown otherwise. 


Expected results:
Returns:

    * int - ID of the action scheduled, otherwise exception thrown on error 

(similar to schedulePackageRemove)
Comment 1 Brad Buckingham 2009-05-20 06:01:58 EDT
master git commit: 242484bb1ef4835cc0a723e4d5d94fcdcea107b6
vader git commit: 1d4c03b933122107ea307246ec441bc3dcfca26f
Comment 2 John Sefler 2009-08-20 10:59:29 EDT
Verified on staged iso (Satellite-5.3.0-RHEL5-re20090724.0)

https://sun-x4200-01.rhts.bos.redhat.com/rhn/apidoc/handlers/SystemHandler.jsp#schedulePackageRefresh

 Method: schedulePackageRefresh
Description:
Schedule a package list refresh for a system.

Parameters:

    * string sessionKey
    * int serverId
    * dateTime.iso8601 earliestOccurrence

Returns:

    * int - ID of the action scheduled, otherwise exception thrown on error 


https://sun-x4200-01.rhts.bos.redhat.com/rhn/apidoc/handlers/SystemHandler.jsp#schedulePackageRemove

 Method: schedulePackageRemove
Description:
Schedule package removal for a system.

Parameters:

    * string sessionKey
    * int serverId
    * array:
          o int - packageId
    * dateTime.iso8601 earliestOccurrence

Returns:

    * int - ID of the action scheduled, otherwise exception thrown on error 


moving to RELEASE_PENDING
Comment 3 Brandon Perkins 2009-09-10 15:55:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.